import {world} from "@minecraft/server";

// If it's the first time running the add-on, set up the world
world.afterEvents.worldInitialize.subscribe(() => {
	if (world.getDynamicProperty('addon_toggle') == undefined) {
		world.setDynamicProperty('addon_toggle', true)
	}
	if (world.getDynamicProperty("shieldBreakSpecial") == undefined) {
		world.setDynamicProperty("shieldBreakSpecial", false);
	}
});
